Index: trunk/source/digits_hits/utils/CVS/Entries
===================================================================
--- trunk/source/digits_hits/utils/CVS/Entries	(revision 1331)
+++ trunk/source/digits_hits/utils/CVS/Entries	(revision 1337)
@@ -1,4 +1,4 @@
-/GNUmakefile/1.9/Wed Nov 14 20:41:17 2007//Tgeant4-09-04-beta-01
-/History/1.15/Mon Jun 14 13:31:06 2010//Tgeant4-09-04-beta-01
 D/include////
 D/src////
+/GNUmakefile/1.9/Wed Sep 29 21:48:17 2010//Tgeant4-09-04-beta-01
+/History/1.15/Wed Sep 29 21:48:17 2010//Tgeant4-09-04-beta-01
Index: trunk/source/digits_hits/utils/History
===================================================================
--- trunk/source/digits_hits/utils/History	(revision 1331)
+++ trunk/source/digits_hits/utils/History	(revision 1337)
@@ -1,3 +1,3 @@
-$Id: History,v 1.14 2007/11/06 06:18:47 asaim Exp $
+$Id: History,v 1.15 2010/06/14 13:31:06 gcosmo Exp $
 -------------------------------------------------------------------
 
@@ -18,6 +18,10 @@
      ----------------------------------------------------------
 
+June 14, 2010  G.Cosmo (detutils-V09-03-00)
+- Added missing virtual destructor to G4VScoringMesh and removed unnecessary
+  virtual qualifiers to G4ScoringBox.
+
 November 06, 2007  M.Asai (detutils-V09-00-06)
-- Tntroducing DrawColumn() method and related UI commands.
+- Introducing DrawColumn() method and related UI commands.
 
 November 04, 2007  M.Asai (detutils-V09-00-05)
Index: trunk/source/digits_hits/utils/include/CVS/Entries
===================================================================
--- trunk/source/digits_hits/utils/include/CVS/Entries	(revision 1331)
+++ trunk/source/digits_hits/utils/include/CVS/Entries	(revision 1337)
@@ -1,12 +1,12 @@
-/G4DefaultLinearColorMap.hh/1.1/Sun Nov  4 04:06:08 2007//Tgeant4-09-04-beta-01
-/G4ScoreLogColorMap.hh/1.1/Tue Mar 25 02:18:39 2008//Tgeant4-09-04-beta-01
-/G4ScoreQuantityMessenger.hh/1.4/Tue Nov  6 17:17:14 2007//Tgeant4-09-04-beta-01
-/G4ScoringBox.hh/1.19/Mon Jun 14 13:28:17 2010//Tgeant4-09-04-beta-01
-/G4ScoringBoxParameterisation.hh/1.3/Wed Aug 29 07:44:59 2007//Tgeant4-09-04-beta-01
-/G4ScoringCylinder.hh/1.2/Sun Mar 23 14:32:12 2008//Tgeant4-09-04-beta-01
-/G4ScoringManager.hh/1.23/Wed Nov 14 20:41:17 2007//Tgeant4-09-04-beta-01
-/G4ScoringMessenger.hh/1.22/Fri Feb 29 12:23:14 2008//Tgeant4-09-04-beta-01
-/G4VScoreColorMap.hh/1.5/Fri Aug 29 02:50:05 2008//Tgeant4-09-04-beta-01
-/G4VScoreWriter.hh/1.2/Tue Nov  6 09:41:34 2007//Tgeant4-09-04-beta-01
-/G4VScoringMesh.hh/1.30/Mon Jun 14 13:28:17 2010//Tgeant4-09-04-beta-01
+/G4DefaultLinearColorMap.hh/1.1/Wed Sep 29 21:48:17 2010//Tgeant4-09-04-beta-01
+/G4ScoreLogColorMap.hh/1.1/Wed Sep 29 21:48:24 2010//Tgeant4-09-04-beta-01
+/G4ScoreQuantityMessenger.hh/1.4/Wed Sep 29 21:48:24 2010//Tgeant4-09-04-beta-01
+/G4ScoringBox.hh/1.19/Wed Sep 29 21:48:24 2010//Tgeant4-09-04-beta-01
+/G4ScoringBoxParameterisation.hh/1.3/Wed Sep 29 21:48:24 2010//Tgeant4-09-04-beta-01
+/G4ScoringCylinder.hh/1.2/Wed Sep 29 21:48:24 2010//Tgeant4-09-04-beta-01
+/G4ScoringManager.hh/1.23/Wed Sep 29 21:48:24 2010//Tgeant4-09-04-beta-01
+/G4ScoringMessenger.hh/1.22/Wed Sep 29 21:48:24 2010//Tgeant4-09-04-beta-01
+/G4VScoreColorMap.hh/1.5/Wed Sep 29 21:48:24 2010//Tgeant4-09-04-beta-01
+/G4VScoreWriter.hh/1.2/Wed Sep 29 21:48:27 2010//Tgeant4-09-04-beta-01
+/G4VScoringMesh.hh/1.30/Wed Sep 29 21:48:27 2010//Tgeant4-09-04-beta-01
 D
Index: trunk/source/digits_hits/utils/include/G4DefaultLinearColorMap.hh
===================================================================
--- trunk/source/digits_hits/utils/include/G4DefaultLinearColorMap.hh	(revision 1331)
+++ trunk/source/digits_hits/utils/include/G4DefaultLinearColorMap.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4DefaultLinearColorMap.hh,v 1.1 2007/11/04 04:06:08 asaim Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/source/digits_hits/utils/include/G4ScoreLogColorMap.hh
===================================================================
--- trunk/source/digits_hits/utils/include/G4ScoreLogColorMap.hh	(revision 1331)
+++ trunk/source/digits_hits/utils/include/G4ScoreLogColorMap.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ScoreLogColorMap.hh,v 1.1 2008/03/25 02:18:39 akimura Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/source/digits_hits/utils/include/G4ScoreQuantityMessenger.hh
===================================================================
--- trunk/source/digits_hits/utils/include/G4ScoreQuantityMessenger.hh	(revision 1331)
+++ trunk/source/digits_hits/utils/include/G4ScoreQuantityMessenger.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ScoreQuantityMessenger.hh,v 1.4 2007/11/06 17:17:14 asaim Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // (HISTORY)
Index: trunk/source/digits_hits/utils/include/G4ScoringBox.hh
===================================================================
--- trunk/source/digits_hits/utils/include/G4ScoringBox.hh	(revision 1331)
+++ trunk/source/digits_hits/utils/include/G4ScoringBox.hh	(revision 1337)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4ScoringBox.hh,v 1.18 2007/11/06 09:41:34 akimura Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4ScoringBox.hh,v 1.19 2010/06/14 13:28:17 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
@@ -49,8 +49,8 @@
 
 public:
-  virtual void Construct(G4VPhysicalVolume* fWorldPhys);
-  virtual void List() const;
-  virtual void Draw(std::map<G4int, G4double*> * map, G4VScoreColorMap* colorMap, G4int axflg=111);
-  virtual void DrawColumn(std::map<G4int, G4double*> * map, G4VScoreColorMap* colorMap, 
+  void Construct(G4VPhysicalVolume* fWorldPhys);
+  void List() const;
+  void Draw(std::map<G4int, G4double*> * map, G4VScoreColorMap* colorMap, G4int axflg=111);
+  void DrawColumn(std::map<G4int, G4double*> * map, G4VScoreColorMap* colorMap, 
                           G4int idxProj, G4int idxColumn); 
 
Index: trunk/source/digits_hits/utils/include/G4ScoringCylinder.hh
===================================================================
--- trunk/source/digits_hits/utils/include/G4ScoringCylinder.hh	(revision 1331)
+++ trunk/source/digits_hits/utils/include/G4ScoringCylinder.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ScoringCylinder.hh,v 1.2 2008/03/23 14:32:12 akimura Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/source/digits_hits/utils/include/G4ScoringManager.hh
===================================================================
--- trunk/source/digits_hits/utils/include/G4ScoringManager.hh	(revision 1331)
+++ trunk/source/digits_hits/utils/include/G4ScoringManager.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ScoringManager.hh,v 1.23 2007/11/14 20:41:17 asaim Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/source/digits_hits/utils/include/G4ScoringMessenger.hh
===================================================================
--- trunk/source/digits_hits/utils/include/G4ScoringMessenger.hh	(revision 1331)
+++ trunk/source/digits_hits/utils/include/G4ScoringMessenger.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ScoringMessenger.hh,v 1.22 2008/02/29 12:23:14 akimura Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // (HISTORY)
Index: trunk/source/digits_hits/utils/include/G4VScoreColorMap.hh
===================================================================
--- trunk/source/digits_hits/utils/include/G4VScoreColorMap.hh	(revision 1331)
+++ trunk/source/digits_hits/utils/include/G4VScoreColorMap.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VScoreColorMap.hh,v 1.5 2008/08/29 02:50:05 akimura Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/source/digits_hits/utils/include/G4VScoreWriter.hh
===================================================================
--- trunk/source/digits_hits/utils/include/G4VScoreWriter.hh	(revision 1331)
+++ trunk/source/digits_hits/utils/include/G4VScoreWriter.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VScoreWriter.hh,v 1.2 2007/11/06 09:41:34 akimura Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/source/digits_hits/utils/include/G4VScoringMesh.hh
===================================================================
--- trunk/source/digits_hits/utils/include/G4VScoringMesh.hh	(revision 1331)
+++ trunk/source/digits_hits/utils/include/G4VScoringMesh.hh	(revision 1337)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4VScoringMesh.hh,v 1.29 2009/10/12 04:11:25 akimura Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4VScoringMesh.hh,v 1.30 2010/06/14 13:28:17 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
@@ -55,5 +55,5 @@
   public:
   G4VScoringMesh(G4String wName);
-  ~G4VScoringMesh();
+  virtual ~G4VScoringMesh();
 
   public: // with description
Index: trunk/source/digits_hits/utils/src/CVS/Entries
===================================================================
--- trunk/source/digits_hits/utils/src/CVS/Entries	(revision 1331)
+++ trunk/source/digits_hits/utils/src/CVS/Entries	(revision 1337)
@@ -1,13 +1,13 @@
-/G4DefaultLinearColorMap.cc/1.3/Fri Aug 29 02:50:05 2008//Tgeant4-09-04-beta-01
-/G4ScoreLogColorMap.cc/1.3/Mon May  4 15:57:33 2009//Tgeant4-09-04-beta-01
-/G4ScoreQuantityMessenger.cc/1.8/Wed Nov  7 04:12:07 2007//Tgeant4-09-04-beta-01
-/G4ScoreQuantityMessengerQCmd.cc/1.6/Wed Nov  7 04:12:07 2007//Tgeant4-09-04-beta-01
-/G4ScoringBox.cc/1.54/Fri Aug 29 02:50:05 2008//Tgeant4-09-04-beta-01
-/G4ScoringBoxParameterisation.cc/1.4/Wed Aug 29 07:44:59 2007//Tgeant4-09-04-beta-01
-/G4ScoringCylinder.cc/1.6/Fri Aug 29 02:50:05 2008//Tgeant4-09-04-beta-01
-/G4ScoringManager.cc/1.31/Tue Mar 25 02:18:38 2008//Tgeant4-09-04-beta-01
-/G4ScoringMessenger.cc/1.39/Wed Nov 26 21:27:35 2008//Tgeant4-09-04-beta-01
-/G4VScoreColorMap.cc/1.4/Mon May  4 15:57:33 2009//Tgeant4-09-04-beta-01
-/G4VScoreWriter.cc/1.5/Tue Mar  4 23:19:09 2008//Tgeant4-09-04-beta-01
-/G4VScoringMesh.cc/1.37/Mon Oct 12 04:11:25 2009//Tgeant4-09-04-beta-01
+/G4DefaultLinearColorMap.cc/1.3/Wed Sep 29 21:48:27 2010//Tgeant4-09-04-beta-01
+/G4ScoreLogColorMap.cc/1.3/Wed Sep 29 21:48:27 2010//Tgeant4-09-04-beta-01
+/G4ScoreQuantityMessenger.cc/1.8/Wed Sep 29 21:48:27 2010//Tgeant4-09-04-beta-01
+/G4ScoreQuantityMessengerQCmd.cc/1.6/Wed Sep 29 21:48:27 2010//Tgeant4-09-04-beta-01
+/G4ScoringBox.cc/1.54/Wed Sep 29 21:48:28 2010//Tgeant4-09-04-beta-01
+/G4ScoringBoxParameterisation.cc/1.4/Wed Sep 29 21:48:28 2010//Tgeant4-09-04-beta-01
+/G4ScoringCylinder.cc/1.6/Wed Sep 29 21:48:28 2010//Tgeant4-09-04-beta-01
+/G4ScoringManager.cc/1.31/Wed Sep 29 21:48:28 2010//Tgeant4-09-04-beta-01
+/G4ScoringMessenger.cc/1.39/Wed Sep 29 21:48:28 2010//Tgeant4-09-04-beta-01
+/G4VScoreColorMap.cc/1.4/Wed Sep 29 21:48:28 2010//Tgeant4-09-04-beta-01
+/G4VScoreWriter.cc/1.5/Wed Sep 29 21:48:29 2010//Tgeant4-09-04-beta-01
+/G4VScoringMesh.cc/1.37/Wed Sep 29 21:48:29 2010//Tgeant4-09-04-beta-01
 D
Index: trunk/source/digits_hits/utils/src/G4DefaultLinearColorMap.cc
===================================================================
--- trunk/source/digits_hits/utils/src/G4DefaultLinearColorMap.cc	(revision 1331)
+++ trunk/source/digits_hits/utils/src/G4DefaultLinearColorMap.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4DefaultLinearColorMap.cc,v 1.3 2008/08/29 02:50:05 akimura Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/source/digits_hits/utils/src/G4ScoreLogColorMap.cc
===================================================================
--- trunk/source/digits_hits/utils/src/G4ScoreLogColorMap.cc	(revision 1331)
+++ trunk/source/digits_hits/utils/src/G4ScoreLogColorMap.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ScoreLogColorMap.cc,v 1.3 2009/05/04 15:57:33 akimura Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/source/digits_hits/utils/src/G4ScoreQuantityMessenger.cc
===================================================================
--- trunk/source/digits_hits/utils/src/G4ScoreQuantityMessenger.cc	(revision 1331)
+++ trunk/source/digits_hits/utils/src/G4ScoreQuantityMessenger.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ScoreQuantityMessenger.cc,v 1.8 2007/11/07 04:12:07 akimura Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // ---------------------------------------------------------------------
Index: trunk/source/digits_hits/utils/src/G4ScoreQuantityMessengerQCmd.cc
===================================================================
--- trunk/source/digits_hits/utils/src/G4ScoreQuantityMessengerQCmd.cc	(revision 1331)
+++ trunk/source/digits_hits/utils/src/G4ScoreQuantityMessengerQCmd.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ScoreQuantityMessengerQCmd.cc,v 1.6 2007/11/07 04:12:07 akimura Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // ---------------------------------------------------------------------
Index: trunk/source/digits_hits/utils/src/G4ScoringBox.cc
===================================================================
--- trunk/source/digits_hits/utils/src/G4ScoringBox.cc	(revision 1331)
+++ trunk/source/digits_hits/utils/src/G4ScoringBox.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ScoringBox.cc,v 1.54 2008/08/29 02:50:05 akimura Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/source/digits_hits/utils/src/G4ScoringCylinder.cc
===================================================================
--- trunk/source/digits_hits/utils/src/G4ScoringCylinder.cc	(revision 1331)
+++ trunk/source/digits_hits/utils/src/G4ScoringCylinder.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ScoringCylinder.cc,v 1.6 2008/08/29 02:50:05 akimura Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/source/digits_hits/utils/src/G4ScoringManager.cc
===================================================================
--- trunk/source/digits_hits/utils/src/G4ScoringManager.cc	(revision 1331)
+++ trunk/source/digits_hits/utils/src/G4ScoringManager.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ScoringManager.cc,v 1.31 2008/03/25 02:18:38 akimura Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/source/digits_hits/utils/src/G4ScoringMessenger.cc
===================================================================
--- trunk/source/digits_hits/utils/src/G4ScoringMessenger.cc	(revision 1331)
+++ trunk/source/digits_hits/utils/src/G4ScoringMessenger.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ScoringMessenger.cc,v 1.39 2008/11/26 21:27:35 asaim Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // ---------------------------------------------------------------------
Index: trunk/source/digits_hits/utils/src/G4VScoreColorMap.cc
===================================================================
--- trunk/source/digits_hits/utils/src/G4VScoreColorMap.cc	(revision 1331)
+++ trunk/source/digits_hits/utils/src/G4VScoreColorMap.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VScoreColorMap.cc,v 1.4 2009/05/04 15:57:33 akimura Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/source/digits_hits/utils/src/G4VScoreWriter.cc
===================================================================
--- trunk/source/digits_hits/utils/src/G4VScoreWriter.cc	(revision 1331)
+++ trunk/source/digits_hits/utils/src/G4VScoreWriter.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VScoreWriter.cc,v 1.5 2008/03/04 23:19:09 taso Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/source/digits_hits/utils/src/G4VScoringMesh.cc
===================================================================
--- trunk/source/digits_hits/utils/src/G4VScoringMesh.cc	(revision 1331)
+++ trunk/source/digits_hits/utils/src/G4VScoringMesh.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VScoringMesh.cc,v 1.37 2009/10/12 04:11:25 akimura Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
